# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )

inherit distutils-r1

DESCRIPTION="Provides an API for querying the distutils metadata written in a PKG-INFO file"
HOMEPAGE="https://pypi.org/project/pkginfo/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~sparc x86"
IUSE="doc"

distutils_enable_tests nose
distutils_enable_sphinx docs

python_test() {
	distutils_install_for_testing

	pushd "${TEST_DIR}/lib" >/dev/null || die
	nosetests -v || die "Tests fail with ${EPYTHON}"
	popd >/dev/null || die
}
